package com.huimv.subscribe;

import com.huimv.entity.People;
import com.huimv.service.IPeopleService;
import com.huimv.service.impl.PeopleServiceImpl;
import com.huimv.untils.SpringUtil;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
//接收消息回调
class PushCallback implements MqttCallback {


    @Override
    public void connectionLost(Throwable cause) {

        // 连接丢失后，一般在这里面进行重连
        System.out.println("连接断开，可以做重连");
    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken token) {
        System.out.println("deliveryComplete---------" + token.isComplete());
    }

    @Override
    public void messageArrived(String topic, MqttMessage message) throws Exception {
        // subscribe后得到的消息会执行到这里面
        System.out.println("接收消息主题 : " + topic);
        System.out.println("接收消息Qos : " + message.getQos());
        System.out.println("接收消息内容 : " + new String(message.getPayload()));
        System.out.println("开始处理当前数据...");

        String messages = new String(message.getPayload());
        String[] split = messages.split(",");
//        PeopleServiceImpl peopleService = SpringUtil.getBean(PeopleServiceImpl.class);//创建impl实例
//        People people = new People();
//        people.setName(split[0]);
//        people.setAge(Integer.parseInt(split[1]));
//        people.setSex(split[2]);
//        peopleService.save(people);
//        peopleService.addPeople(split);
        System.out.println("数据处理完成！");
    }

}
